## sentineldl 20200127

=== Makefile ===
# Makefile

# Copyright (C) 2018-2020 Simon Spöhel
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

SHELL := sh -e

SOFTWARE = sentineldl
DOWNLOADDIR = /var/lib/$(SOFTWARE)

SCRIPTS = data/*/upstream/processing.sh data/*/upstream/processing.d/*

test:

	@echo -n "Checking for syntax errors"

	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done

	@echo " done."

install:

	mkdir -p $(DESTDIR)/etc/$(SOFTWARE)
	cp -r settings/* $(DESTDIR)/etc/$(SOFTWARE)

	mkdir -p $(DESTDIR)/usr/lib/$(SOFTWARE)
	cp -r lib/sentinel $(DESTDIR)/usr/lib/$(SOFTWARE)
	cp lib/sentineldl $(DESTDIR)/usr/lib/$(SOFTWARE)

	mkdir -p $(DESTDIR)/usr/bin
	cp $(SOFTWARE) $(DESTDIR)/usr/bin

	mkdir -p $(DESTDIR)/$(DOWNLOADDIR)
	cp -r data/* $(DESTDIR)/$(DOWNLOADDIR)


uninstall:

	for FILE in settings/*; \
	do \
		rm -f $(DESTDIR)/etc/$(SOFTWARE)/$$(basename $${FILE}); \
	done
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/etc/$(SOFTWARE) || true

	for FILE in lib/sentinel/*; \
	do \
		rm -f $(DESTDIR)/usr/lib/$(SOFTWARE)/sentinel/$$(basename $${FILE}); \
	done
	rm -rf $(DESTDIR)/usr/lib/$(SOFTWARE)/sentinel
	rm -f $(DESTDIR)/usr/lib/$(SOFTWARE)/sentineldl
	rmdir $(DESTDIR)/usr/lib/$(SOFTWARE)

	rm -f $(DESTDIR)/usr/bin/$(SOFTWARE)

	rm -f $(DESTDIR)/$(DOWNLOADDIR)/S2MSI1C/upstream/processing.sh
	for FILE in data/S2MSI1C/upstream/processing.d/*; \
	do \
		rm -f $(DESTDIR)/$(DOWNLOADDIR)/S2MSI1C/upstream/$$(basename $${FILE}); \
	done

	rm -f $(DESTDIR)/$(DOWNLOADDIR)/S2MSI2A/upstream/processing.sh
	for FILE in data/S2MSI2A/upstream/processing.d/*; \
	do \
		rm -f $(DESTDIR)/$(DOWNLOADDIR)/S2MSI2A/upstream/$$(basename $${FILE}); \
	done

	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/$(DOWNLOADDIR)/S2MSI1C/upstream || true
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/$(DOWNLOADDIR)/S2MSI2A/upstream || true

distclean:

reinstall: uninstall install

=== debian/changelog ===
sentineldl (20200127-1) unstable; urgency=medium

  * Initial upload to sid (Closes: #907921).

 -- Simon Spöhel <simon@spoehel.ch>  Mon, 27 Jan 2020 10:56:01 +0100

=== debian/control ===
Source: sentineldl
Section: python
Priority: optional
Maintainer: Simon Spöhel <simon@spoehel.ch>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://gitlab.com/simon-s-upstream/sentineldl
Vcs-Browser: https://salsa.debian.org/simon-guest/sentineldl
Vcs-Git: https://salsa.debian.org/simon-guest/sentineldl.git

Package: sentineldl
Section: python
Architecture: all
Depends:
 gdal-bin,
 parallel,
 python3 (>= 3.5),
 python3-geomet,
 python3-pandas,
 python3-sentinelsat,
 unzip,
 ${misc:Depends},
Description: download and convert Sentinel 2 data
 sentineldl is a wrapper around Sentinelsat for automatically downloading
 Sentinel 2 data from Copernicus Open Access Hub
 (https://scihub.copernicus.eu/). The focus lies on automatically download
 certain regions in an unattended way. sentineldl also includes scripts for
 converting the downloaded tiles into GeoTIFFs.

## sentineldl 20200319

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 SOFTWARE = sentineldl
 DOWNLOADDIR = /var/lib/$(SOFTWARE)
 
-SCRIPTS = data/*/upstream/processing.sh data/*/upstream/processing.d/*
+SCRIPTS = data/*/orig/processing.sh data/*/orig/processing.d/*
 
 test:
 
@@ -68,20 +68,20 @@
 
 	rm -f $(DESTDIR)/usr/bin/$(SOFTWARE)
 
-	rm -f $(DESTDIR)/$(DOWNLOADDIR)/S2MSI1C/upstream/processing.sh
-	for FILE in data/S2MSI1C/upstream/processing.d/*; \
+	rm -f $(DESTDIR)/$(DOWNLOADDIR)/S2MSI1C/orig/processing.sh
+	for FILE in data/S2MSI1C/orig/processing.d/*; \
 	do \
-		rm -f $(DESTDIR)/$(DOWNLOADDIR)/S2MSI1C/upstream/$$(basename $${FILE}); \
+		rm -f $(DESTDIR)/$(DOWNLOADDIR)/S2MSI1C/orig/$$(basename $${FILE}); \
 	done
 
-	rm -f $(DESTDIR)/$(DOWNLOADDIR)/S2MSI2A/upstream/processing.sh
-	for FILE in data/S2MSI2A/upstream/processing.d/*; \
+	rm -f $(DESTDIR)/$(DOWNLOADDIR)/S2MSI2A/orig/processing.sh
+	for FILE in data/S2MSI2A/orig/processing.d/*; \
 	do \
-		rm -f $(DESTDIR)/$(DOWNLOADDIR)/S2MSI2A/upstream/$$(basename $${FILE}); \
+		rm -f $(DESTDIR)/$(DOWNLOADDIR)/S2MSI2A/orig/$$(basename $${FILE}); \
 	done
 
-	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/$(DOWNLOADDIR)/S2MSI1C/upstream || true
-	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/$(DOWNLOADDIR)/S2MSI2A/upstream || true
+	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/$(DOWNLOADDIR)/S2MSI1C/orig || true
+	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/$(DOWNLOADDIR)/S2MSI2A/orig || true
 
 distclean:

=== debian/changelog ===
sentineldl (20200319-2) sid; urgency=medium

  * Uploading to unstable.
  * Updating to debhelper 13.

 -- Simon Spöhel <simon@spoehel.ch>  Thu, 06 Aug 2020 11:57:32 +0200

sentineldl (20200319-1) sid; urgency=medium

  * Updating to upstream version 20200319.

 -- Simon Spöhel <simon@spoehel.ch>  Thu, 19 Mar 2020 11:02:49 +0100

sentineldl (20200205-1) sid; urgency=medium

  * Updating to upstream version 20200205.

 -- Simon Spöhel <simon@spoehel.ch>  Thu, 06 Feb 2020 08:18:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Simon Spöhel <simon@spoehel.ch>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper (>= 13),
  dh-python,
 Rules-Requires-Root: no
 Standards-Version: 4.5.0

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE := sentineldl

SHELL := sh -e

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install

	mkdir -p debian/$(PACKAGE)/usr/share/doc/examples

	for FILE in debian/$(PACKAGE)/etc/$(PACKAGE)/*.example; \
	do \
		mv "$${FILE}" debian/$(PACKAGE)/usr/share/doc/examples/$$(basename $${FILE} .example); \
	done
